Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package transform
  Definition Classes
    nsc
-  abstract class OverridingPairs extends SymbolPairs

  A class that yields a kind of iterator (`Cursor`), which yields pairs of corresponding symbols visible in some base class, unless there's a parent class that already contains the same pairs.

  A class that yields a kind of iterator (`Cursor`), which yields pairs of corresponding symbols visible in some base class, unless there's a parent class that already contains the same pairs. Most of the logic is in SymbolPairs, which contains generic pair-oriented traversal logic.

  Definition Classes
    transform
- Cursor
- SymbolPair

c

scala.tools.nsc.transform.OverridingPairs

# Cursor 

###

#### class Cursor extends OverridingPairs.Cursor

Source
  OverridingPairs.scala

Linear Supertypes
OverridingPairs.Cursor, AnyRef, Any
Known Subclasses
BridgesCursor
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Cursor
2. Cursor
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new Cursor(base: reflect.internal.SymbolTable.Symbol)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Cursor to any2stringadd[Cursor] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Cursor, B)
   Implicit
     This member is added by an implicit conversion from Cursor to ArrowAssoc[Cursor] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  val base: reflect.internal.SymbolTable.Symbol
   Definition Classes
     Cursor
8.  def bases: List[reflect.internal.SymbolTable.Symbol]
   Attributes
     protected
   Definition Classes
     Cursor
9.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
10.  def currentPair: OverridingPairs.SymbolPair
    Definition Classes
      Cursor
11.  def ensuring(cond: (Cursor) ⇒ Boolean, msg: ⇒ Any): Cursor
    Implicit
      This member is added by an implicit conversion from Cursor to Ensuring[Cursor] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: (Cursor) ⇒ Boolean): Cursor
    Implicit
      This member is added by an implicit conversion from Cursor to Ensuring[Cursor] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: Boolean, msg: ⇒ Any): Cursor
    Implicit
      This member is added by an implicit conversion from Cursor to Ensuring[Cursor] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean): Cursor
    Implicit
      This member is added by an implicit conversion from Cursor to Ensuring[Cursor] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
17.  def exclude(sym: reflect.internal.SymbolTable.Symbol): Boolean

    Symbols to exclude: Here these are constructors and private/artifact symbols, including bridges.

    Symbols to exclude: Here these are constructors and private/artifact symbols, including bridges. But it may be refined in subclasses.

    Attributes
      protected
    Definition Classes
      Cursor → Cursor
18.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
19.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Cursor to StringFormat[Cursor] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
20.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
21.  def hasNext: Boolean
    Definition Classes
      Cursor
22.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
23.  def high: reflect.internal.SymbolTable.Symbol
    Definition Classes
      Cursor
24.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
25.  def iterator: Iterator[OverridingPairs.SymbolPair]
    Definition Classes
      Cursor
26.  def low: reflect.internal.SymbolTable.Symbol
    Definition Classes
      Cursor
27.  def matches(lo: reflect.internal.SymbolTable.Symbol, high: reflect.internal.SymbolTable.Symbol): Boolean

    Types always match.

    Types always match. Term symbols match if their member types relative to `self` match.

    Attributes
      protected
    Definition Classes
      Cursor → Cursor
28.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
29.  def next(): Unit
    Definition Classes
      Cursor
30.  final def notify(): Unit
    Definition Classes
      AnyRef
31.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
32.  def parents: List[reflect.internal.SymbolTable.Type]
    Attributes
      protected
    Definition Classes
      Cursor
33.  final val self: reflect.internal.SymbolTable.Type
    Definition Classes
      Cursor
34.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
35.  def toString(): String
    Definition Classes
      AnyRef → Any
36.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
37.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
38.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
39.  def →[B](y: B): (Cursor, B)
    Implicit
      This member is added by an implicit conversion from Cursor to ArrowAssoc[Cursor] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from OverridingPairs.Cursor

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Cursor to any2stringadd[Cursor]

### Inherited by implicit conversion StringFormat from Cursor to StringFormat[Cursor]

### Inherited by implicit conversion Ensuring from Cursor to Ensuring[Cursor]

### Inherited by implicit conversion ArrowAssoc from Cursor to ArrowAssoc[Cursor]

### Ungrouped